Issue 60251 - OASIS MIME-TYPES haven't been adopted to webserver
Summary: OASIS MIME-TYPES haven't been adopted to webserver
Status: CLOSED FIXED
Alias: None
Product: Infrastructure
Classification: Infrastructure
Component: Website general issues (show other issues)
Version: current
Hardware: All All
: P3 Trivial with 2 votes (vote)
Target Milestone: CEE Danube
Assignee: Unknown
QA Contact: issues@www
URL: http://framework.openoffice.org/docum...
Keywords: oooqa
: 59830 (view as issue list)
Depends on:
Blocks:
 
Reported: 2006-01-09 10:53 UTC by b.osi.ooo
Modified: 2008-05-17 23:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description b.osi.ooo 2006-01-09 10:53:40 UTC
At least some of the mimetypes don't exist e.g.:
http://specs.openoffice.org/collaterals/template/OpenOffice-org-Specification-Template.ott

complete list of all types:
application/vnd.oasis.opendocument.text odt
application/vnd.oasis.opendocument.text-template ott
application/vnd.oasis.opendocument.text-web oth
application/vnd.oasis.opendocument.text-master odm
application/vnd.oasis.opendocument.graphics odg
application/vnd.oasis.opendocument.graphics-template otg
application/vnd.oasis.opendocument.presentation odp
application/vnd.oasis.opendocument.presentation-template otp
application/vnd.oasis.opendocument.spreadsheet ods
application/vnd.oasis.opendocument.spreadsheet-template ots
application/vnd.oasis.opendocument.chart odc
application/vnd.oasis.opendocument.formula odf
application/vnd.oasis.opendocument.image odi
Comment 1 b.osi.ooo 2006-01-09 10:56:34 UTC
.
Comment 2 b.osi.ooo 2006-01-09 16:13:30 UTC
forgot to mention: the result is, that the file is shown as text in the browser.
Comment 3 stx123 2006-01-16 22:32:16 UTC
reassigning to support...
Comment 4 stx123 2006-01-16 22:34:05 UTC
*** Issue 59830 has been marked as a duplicate of this issue. ***
Comment 5 Unknown 2006-03-22 09:05:38 UTC
I have requested our internal team to check if the mime-types have been updated
on the webserver. Will get back to you soon with their comments on this.

Regards,
Karishma
Support Operations
Comment 6 stx123 2006-03-22 12:18:13 UTC
This is investigated as part of the upcoming 3.5.1 upgrade.
Please note that one additional mime-type should be added

AddType application/vnd.oasis.opendocument.database .odb

The list is maintained at
http://framework.openoffice.org/documentation/mimetypes/mimetypes.html
Comment 7 Unknown 2006-03-27 08:07:07 UTC
I have updated the engineers with the additional mime type. These mime-types
will probably be added as an instance set to OOo. I'll get back to you with more
details on when the instance set would be delivered.

Regards,
Karishma
Support Operations
Comment 8 Unknown 2006-05-23 02:20:17 UTC
Stefan,

Yes, they will be part of the 3.5.1 upgrade. Also, you can check on the 
stage.openoffic.org to verify.

Thanks
Comment 9 Unknown 2007-03-08 17:53:44 UTC
Reopening to change/update with the current status of the issue .
Comment 10 Unknown 2007-03-08 17:58:40 UTC
This issue has been fixed in the Danube version of Collabnet Community Edition .
Comment 11 ace_dent 2008-05-17 21:47:48 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 12 ace_dent 2008-05-17 23:51:56 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew